/*
 * Copyright (c) 2012-2014 Wind River Systems, Inc.
 *
 * SPDX-License-Identifier: Apache-2.0
 */

#include <zephyr/kernel.h>
#include <zephyr/device.h>
#include <zephyr/drivers/flash.h>

#define FROM 0
#define SIZE 0x10000

int main(void)
{

  const struct device *dev = DEVICE_DT_GET(DT_NODELABEL(mx25r64));

  if (!device_is_ready(dev)) {
    printk("%s: device not ready.\n", dev->name);
    return 0;
  }

  int err = flash_erase(dev, FROM, SIZE);
  if(err){
    printk("Err: %d\n",err);
    return 0;
  }

  while(1){
    printk("Hello World! %s\n", CONFIG_BOARD);
    k_sleep(K_MSEC(500));
  }

  return 0;
}
